<?php

/**
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link      http://cakephp.org CakePHP(tm) Project
 * @since     3.0.0
 * @license   http://www.opensource.org/licenses/mit-license.php MIT License
 */

namespace App\View;

use Cake\View\View;
use Cake\Utility\Inflector;

/**
 * Application View
 *
 * Your application’s default view class
 *
 * @link http://book.cakephp.org/3.0/en/views.html#the-app-view
 */
class AppView extends View {

    /**
     * Initialization hook method.
     *
     * Use this method to add common initialization code like loading helpers.
     *
     * e.g. `$this->loadHelper('Html');`
     *
     * @return void
     */
    public function initialize() {
        
    }

    public function getpriceformate($price) {
        $price = $price * 1;
        $dev = "";
        if ($price > 999) {
            if ($price >= 10000000) {
                $dev = sprintf("%.2f", (($price / 10000000))) . " Cr";
            } else if ($price >= 100000) {
                $dev = sprintf("%.2f", (($price / 100000))) . " Lac";
            } else if ($price >= 1000) {
                $dev = sprintf("%.2f", (($price / 1000))) . " Thousand";
            }
        } else {
            if ($price > 100 && $price < 1000) {
                $dev = floatval(sprintf("%.2f", ($price / 100))) . " Cr";
            } else {
                if (!empty($price) && is_numeric($price)) {
                    $dev = floatval(sprintf("%.2f", $price)) . " Lac";
                } else {
                    $dev = "";
                }
            }
        }
        return $dev;
    }

    public function page_slug($page_name) {
        $page_name = strtolower($page_name);
        return Inflector::slug($page_name);
    }

}
